<template>
	<div class="d-inline-block position-relative">
		<a href="#" @click.prevent="toogle_sub_menu">
			<span v-text="title"></span> 
			<i class="fa fa-xs ml-2" :class="show_menu ? 'fa-caret-up' : 'fa-caret-down'"></i>
		</a>
		<div v-if="show_menu" class="card shadow sub_menu_card position-absolute">
			<img src="/img/components/sub_menu_arrow.png" class="card_arrow" alt="">
			<div class="card-body">
				<slot></slot>
			</div>
		</div>
	</div>
</template>
<script>
	export default {
		props: ['title'],
		data(){
			return {
				show_menu: false
			}
		},
		methods: {
			toogle_sub_menu(){
				let t = this;
				t.show_menu = t.show_menu ? false : true;
			}
		}
	}
</script>
<style>
	.card_arrow{
		position: absolute;
		top: -23px;
		right: 50px;
	}
</style>